
TYPO3.Media - Feature # 33181

Status: Resolved Priority: Could have
Author: Adrian Föder Category:
Created: 2012-01-13 Assigned To: Bastian Waidelich
Updated: 2012-03-21 Due date:
Subject: Validators for image size, type and orientation
Description

Create an ImageValidator that validates for images size (resolution), type (IMAGETYPE_*) & orientation (square, portrait, landscape)

Associated revisions
Revision 2ef5775f - 2012-02-07 10:59 - Adrian Föder

[FEATURE] Validators for image size, type and orientation

This adds three validators for image size (resolution), type
(IMAGETYPE_*) and orientation (square, portrait, landscape).

Change-Id: I3b72feb277aa591f1d2da8a03d238aef2e05a31f
Resolves: #33181

History
#1 - 2012-01-13 17:40 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7785

#2 - 2012-01-30 17:24 - Bastian Waidelich
- Status changed from New to Accepted
- Assigned To changed from Adrian Föder to Bastian Waidelich

Taking over as discussed at https://review.typo3.org/#change,7785
@Adrian thanks for your work so far I'll just restructure it slightly and add some tests

#3 - 2012-01-31 17:34 - Bastian Waidelich
- Subject changed from ImageValidator to Validators for image size, type and orientation

#4 - 2012-01-31 18:13 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7785

#5 - 2012-01-31 18:26 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7785

#6 - 2012-01-31 18:52 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7785

#7 - 2012-02-07 11:00 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7785

#8 - 2012-03-21 14:35 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Resolved with http://git.typo3.org/FLOW3/Packages/TYPO3.Media.git?a=commit;h=2ef5775f6acc9fade91e3534477515b6cf13bde0
